[Chicago] python prob

Craig Petty fasteliteprogrammer at yahoo.com
Fri Nov 28 09:49:59 CET 2008


i can't find hashlib or bz2 for fedora 10.


--- On Fri, 11/28/08, Cosmin Stejerean <cstejerean at gmail.com> wrote:

> From: Cosmin Stejerean <cstejerean at gmail.com>
> Subject: Re: [Chicago] python prob
> To: fasteliteprogrammer at yahoo.com, "The Chicago Python Users Group" <chicago at python.org>
> Date: Friday, November 28, 2008, 12:42 AM
> On Thu, Nov 27, 2008 at 8:46 PM, Craig Petty
> <fasteliteprogrammer at yahoo.com>wrote:
> 
> > I have a hard time understand this error in python 2.6
> >
> >  i been try to compile python 2.6 on my fedora 10 and
> 9 an get the same
> > prob here the error
> >
> >
> > Failed to find the necessary bits to build these
> modules:
> > _bsddb _curses _curses_panel
> > _hashlib _sqlite3 _ssl
> > _tkinter bsddb185 bz2
> > dbm gdbm readline
> > sunaudiodev zlib
> > To find the necessary bits, look in setup.py in
> detect_modules() for the
> > module's name.
> >
> >
> > i have a hard time find some of the file for
> devel.Hope someone can help.
> >
> >
> You'll need to install the respective libraries before
> you can build those
> python extensions. Keep in mind that you probably don't
> need ALL of them,
> but I'd recommend getting hashlib, ssl, sqlite3, zlib
> and bz2 at a minimum.
> Which packages you need to provide those libraries depends
> on the system
> you're on and I'm not familiar with Fedora, but you
> can start searching for
> similarly named packages. Also, you can take a look at the
> dependencies for
> something that comes with the system, like python 2.5.
> Installing those
> should provide the right libraries to build python 2.6
> 
> 
> -- 
> Cosmin Stejerean
> http://www.offbytwo.com


      


More information about the Chicago mailing list